## cascading.management.annotation
Annotation Type PropertyConfigured

    @Retention(value=RUNTIME)
    @Target(value={METHOD,FIELD})
    public @interface PropertyConfigured

PropertyConfigured is an annotation to document the configuration key and the default value of a given @Property annotation on the same `AnnotatedElement`.

See `AggregateBy.getThreshold()` for an example.

Required Element Summary
`String` `value`

Optional Element Summary
`String` `defaultValue`

Element Detail

### value

    public abstract String value

### defaultValue

    public abstract String defaultValue

  Default:
    ""

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.